Package ru.bitel.bgbilling.kernel.customer.common.bean

# Enum Class Customer.Keys

java.lang.Object
java.lang.Enum<Customer.Keys>
ru.bitel.bgbilling.kernel.customer.common.bean.Customer.Keys

All Implemented Interfaces:
  `Serializable`, `Comparable<Customer.Keys>`, `Constable`

Enclosing class:
  `Customer`

public static enum Customer.Keys extends Enum<Customer.Keys>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BANK_ACCOUNT`
  `BANK_BIK`
  `BIRTHDAY`
  `DIRECTOR_NAME`
  `DIRECTOR_POSITION`
  `DIRECTOR_REASON`
  `EMAIL`
  `FIRST_NAME`
  `GENDER`
  `INN`
  `KPP`
  `LAST_NAME`
  `MIDDLE_NAME`
  `MOBILE`
  `NAME`
  `OGRN`
  `OGRNIP`
  `OKPO`
  `P_ADDRESS`
  `PHONE`
  `U_ADDRESS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `description()`
  `String`
  `key()`
  `static Customer.Keys`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Customer.Keys[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INN

    public static final Customer.Keys INN

  - ### NAME

    public static final Customer.Keys NAME

  - ### KPP

    public static final Customer.Keys KPP

  - ### OGRN

    public static final Customer.Keys OGRN

  - ### OGRNIP

    public static final Customer.Keys OGRNIP

  - ### OKPO

    public static final Customer.Keys OKPO

  - ### U_ADDRESS

    public static final Customer.Keys U_ADDRESS

  - ### P_ADDRESS

    public static final Customer.Keys P_ADDRESS

  - ### FIRST_NAME

    public static final Customer.Keys FIRST_NAME

  - ### LAST_NAME

    public static final Customer.Keys LAST_NAME

  - ### MIDDLE_NAME

    public static final Customer.Keys MIDDLE_NAME

  - ### GENDER

    public static final Customer.Keys GENDER

  - ### BIRTHDAY

    public static final Customer.Keys BIRTHDAY

  - ### BANK_ACCOUNT

    public static final Customer.Keys BANK_ACCOUNT

  - ### BANK_BIK

    public static final Customer.Keys BANK_BIK

  - ### DIRECTOR_POSITION

    public static final Customer.Keys DIRECTOR_POSITION

  - ### DIRECTOR_NAME

    public static final Customer.Keys DIRECTOR_NAME

  - ### DIRECTOR_REASON

    public static final Customer.Keys DIRECTOR_REASON

  - ### MOBILE

    public static final Customer.Keys MOBILE

  - ### PHONE

    public static final Customer.Keys PHONE

  - ### EMAIL

    public static final Customer.Keys EMAIL

- ## Method Details

  - ### values

    public static Customer.Keys[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Customer.Keys valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### key

    public String key()

  - ### description

    public String description()